export const mimes = {
  image: [ "image/png", "image/gif", "image/jpeg" ],
  video: [ "video/webm", "video/mp4", "video/quicktime" ],
  audio: [ "audio/mpeg", "audio/flac", "audio/x-flac", "audio/ogg" ]
};

export const queries = {
  random: {
    main: "select id, mime, size, username, userchannel, usernetwork, stamp, dest, src from items ",
    where: where => `${where?`where ${where}`:""} order by rand() limit 1`
  },
  item: "select id, mime, dest, size, src, stamp, userchannel, username, usernetwork, "
      + "(select id from items where id = (select min(id) from items where id > ?)) as next, "
      + "(select id from items where id = (select max(id) from items where id < ?)) as prev "
      + "from items where items.id = ? limit 1",
  p: (trend, order) => `select id, mime from items where id ${trend} ? order by id ${order} limit ?`,
  user: "select id, mime, size, src, stamp, userchannel, username, usernetwork from items where username = ? limit ?"
};
