import cfg from "../../../config.json";
import sql from "../sql.mjs";
import lib from "../lib.mjs";

const _query = "select id, mime, size, username, userchannel, usernetwork, stamp from items where ";
const regex = /https\:\/\/f0ck\.me\/(\d+|(?:b\/)(\w{8})\.(jpg|webm|gif|mp4|png|mov|mp3|ogg|flac))/gi;

export default async bot => {

  return [{
    name: "f0ckgag",
    call: regex,
    active: true,
    f: async e => {
      const dat = e.message.match(regex)[0].split(/\//).pop();
      let query, arg;

      if(dat.includes(".")) {
        query = _query + "dest like ?";
        arg = `%${dat}%`;
      }
      else {
        query = _query + "id = ?";
        arg = dat;
      }
      
      const rows = await sql.query(query, [ arg ]);
      if(rows.length === 0)
        return e.reply("no f0cks given! lol D:");
      
      e.reply([
        `${cfg.main.url}/${rows[0].id}`,
        `user: ${rows[0].username} @ ${rows[0].usernetwork} ${rows[0].userchannel}`,
        `~${lib.formatSize(rows[0].size)}`,
        rows[0].mime,
        new Date(rows[0].stamp * 1e3).toString().slice(0, 24)
      ].join(" - "));
    }
  }];
};
